Bug 1147324 (CVE-2014-7189) - CVE-2014-7189 golang: TLS client authentication issue fixed in version 1.3.2
Summary: CVE-2014-7189 golang: TLS client authentication issue fixed in version 1.3.2
Status: CLOSED ERRATA
Alias: CVE-2014-7189
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140925,repor...
Keywords: Security
Depends On: 1147325 1147326 1147327
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-29 03:04 UTC by Murray McAllister
Modified: 2016-12-05 16:03 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-05 16:03:03 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-09-29 03:04:40 UTC
The Go 1.3.2 release fixes the following issue:

"The crpyto/tls fix addresses a security bug that affects programs that use
crypto/tls to implement a TLS server from Go 1.1 onwards. If the server enables
TLS client authentication using certificates (this is rare) and explicitly sets
SessionTicketsDisabled to true in the tls.Config, then a malicious client can
falsely assert ownership of any client certificate it wishes."

Upstream fix:

https://code.google.com/p/go/source/detail?r=eae0457c101512f59296538f0162749eba325892&name=release-branch.go1.3

References:

http://seclists.org/oss-sec/2014/q3/749

Comment 1 Murray McAllister 2014-09-29 03:05:39 UTC
Created golang tracking bugs for this issue:

Affects: fedora-all [bug 1147325]
Affects: epel-6 [bug 1147326]
Affects: epel-7 [bug 1147327]

Comment 2 Vincent Batts 2014-09-29 13:00:41 UTC
More information: https://groups.google.com/forum/#!msg/golang-nuts/eeOHNw_shwU/OHALUmroA5kJ

I'll start the process for getting go1.3.2 out for these releases

Comment 3 Fedora Update System 2014-10-11 06:59:53 UTC
golang-1.3.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-10-11 07:03:20 UTC
golang-1.3.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-10-17 17:38:22 UTC
golang-1.3.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-10-17 17:39:46 UTC
golang-1.3.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-11-10 06:42:12 UTC
golang-1.3.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.